//
// impressionistUI.h
//
// The user interface part for the program. They should be subclassed and I am just lazy to.
// You may generate the similar code using FLUID, but I just hate the readability of the 
// generated code. So, I act as FLUID in this file.
//

#include <FL/fl_ask.h>

#include "impressionistUI.h"
#include "impressionistDoc.h"

//------------------------------------- Help Functions --------------------------------------------
// return the UI of this Menu
ImpressionistUI* ImpressionistUI::whoami(Fl_Menu_* o)	// from menu item back to UI itself
{
	return ( (ImpressionistUI*)(o->parent()->user_data()) );
}

// The constructor is basically the BaseUI constructor
ImpressionistUI::ImpressionistUI() : BaseUI()
{}
